## oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms 4.1

=== oem-wifi-qualcomm-ath10k-lp1734600-4.4/Makefile ===
KVER?= $(shell uname -r)
all:
	make -C /lib/modules/$(KVER)/build M=$(PWD)/ath10k modules
clean:
	make -C /lib/modules/$(KVER)/build M=$(PWD)/ath10k clean

=== debian/changelog ===
oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms (4.1) xenial; urgency=medium

  * Apply 0001-ath10k-add-WR-for-QCA9377.patch from comment #21 (LP:
    #1738954).

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 30 Jan 2018 16:00:14 +0800

oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms (4.0) xenial; urgency=medium

  * Apply commit 513527c87a7feab2a5b31db07e5b07864d3c08f7. (LP: #1741242)
    See https://code.launchpad.net/~oem-solutions-engineers/somerville/+git/linux-lp1734600/+ref/lp1734600
  * Automatically packaged by DKMS helper.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Thu, 04 Jan 2018 19:20:21 +0800

oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms (3.0) xenial; urgency=low

  * Apply commit d2e202c06ca42d353d95df12437740921a6d05b5 on top of
    Ubuntu-4.4.0-105.128
  * Then apply solution from Dell in comment #23 (LP: #1738928)
  * Then apply commit aad1fd7f7677d05013b5fe247a5a6e1464c69a0f
  * Automatically packaged by DKMS helper.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Tue, 26 Dec 2017 04:39:53 -0500

oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms (2.0) xenial; urgency=medium

  * Add ath10k support to load firmware-6.bin. (LP: #1738928)

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Wed, 20 Dec 2017 15:49:12 +0800

oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms (1.0) xenial; urgency=low

  * Automatically packaged by DKMS helper.

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Thu, 30 Nov 2017 15:43:27 +0800

=== debian/control ===
Source: oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-wifi-qualcomm-ath10k-lp1734600-4.4-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-wifi-qualcomm-ath10k-lp1734600-4.4 driver in DKMS format wrapped by dkms-helper.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-wifi-qualcomm-ath10k-lp1734600-4.4
NAME=oem-wifi-qualcomm-ath10k-lp1734600-4.4
VERSION=4.1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
